package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-03-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_encyclopedia")
public class Encyclopedia implements Serializable {

    private static final long serialVersionUID = 1L;

    private String encyclopediaId;

    private String title;

    @TableField("`desc`")
    private String desc;

    private String imgUrl;

    private String typeId;

    private String publicUser;

    private LocalDateTime publicDate;

    private String content;

    @TableField("`status`")
    private Integer status;

    private LocalDateTime createDate;


}
